> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getpartna.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Transfer

> Get transactions.



## OpenAPI

````yaml get /transfer
openapi: 3.0.3
info:
  title: GetPartna Api Documentation
  version: '3.0'
servers:
  - url: https://staging-api.getpartna.com/v4
  - url: https://api.getpartna.com/v4
security:
  - x-api-key: []
    x-api-user: []
  - authorization: []
tags:
  - description: user endpoints
    name: User
  - description: account endpoints
    name: Account
  - description: transfer endpoints
    name: Transfer
  - description: supported assets and networks
    name: Supported
  - description: discount endpoints
    name: Discount
  - description: rate endpoints
    name: Rate
  - description: KYC endpoints
    name: KYC
  - description: Multi-Factor Authentication endpoints
    name: MFA
  - description: ramp endpoints
    name: Ramp
  - description: pricing endpoints
    name: Pricing
  - description: banks
    name: Bank
  - description: mock endpoints for testing
    name: Mock
paths:
  /transfer:
    get:
      tags:
        - Transfer
      summary: Get Transfer
      description: Get transactions.
      operationId: get-transfer
      parameters:
        - description: ''
          in: query
          name: username
          required: false
          schema:
            type: string
        - description: ''
          in: query
          name: accountName
          required: false
          schema:
            type: string
        - description: ''
          in: query
          name: transactionReference
          required: false
          schema:
            type: string
        - description: Number of transactions to return. Default is 100 and maximum is 1000
          in: query
          name: limit
          required: false
          schema:
            type: string
        - description: ''
          in: query
          name: currency
          required: false
          schema:
            enum:
              - BTC
              - ETH
              - NGN
              - USD
              - BNB
              - GHS
              - KES
            type: string
        - description: Unix timestamp in seconds. Must be less than UnixEndDate
          in: query
          name: unixStartDate
          required: false
          schema:
            type: string
        - description: Unix timestamp in seconds. Must be greater than UnixStartDate
          in: query
          name: unixEndDate
          required: false
          schema:
            type: string
        - description: ''
          in: query
          name: type
          required: false
          schema:
            enum:
              - OnRamp
              - OffRamp
              - Deposit
              - Withdraw
              - Transfer
              - Convert
            type: string
        - description: ''
          in: query
          name: status
          required: false
          schema:
            enum:
              - processing
              - completed
              - failed
              - pending
              - retried
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                example:
                  data:
                    - amount: 10
                      currency: USD
                      date: '2025-08-22T14:40:00Z'
                      fromAccount: credit
                      fromTo: credit
                      fromUser: admin
                      status: completed
                      timestamp: 1755873600
                      toAccount: user1
                      toUser: user1
                      transactionReference: abcdef2234567890abcdef1234567867
                      transactionType: Internal Transfer
                  message: success
                properties:
                  data:
                    items:
                      properties:
                        amount:
                          type: number
                        currency:
                          type: string
                        date:
                          type: string
                        fromAccount:
                          type: string
                        fromTo:
                          type: string
                        fromUser:
                          type: string
                        status:
                          type: string
                        timestamp:
                          type: number
                        toAccount:
                          type: string
                        toUser:
                          type: string
                        transactionReference:
                          type: string
                        transactionType:
                          type: string
                      type: object
                    type: array
                  message:
                    type: string
                type: object
          description: get transfer ok
        '401':
          content:
            application/json:
              schema:
                example:
                  message: endpoint temporarily disabled
                properties:
                  message:
                    type: string
                type: object
          description: get transfer unauthorized
      security:
        - x-api-key: []
          x-api-user: []
        - authorization: []
components:
  securitySchemes:
    x-api-key:
      in: header
      name: x-api-key
      type: apiKey
    x-api-user:
      in: header
      name: x-api-user
      type: apiKey
    authorization:
      bearerFormat: JWT
      scheme: bearer
      type: http

````